You are here    News nl sv ru pl es de fr

League Of Legends will be broken ... but not for a long time

Friday 30 November 2012 at 0:09

Hi everybody,

The upcoming patch of League Of Legends will break PlayOnLinux support. The new version will have a new shop interface, that causes problem with current d3dwine function.

The good news is that thanks to iLoL project, we will have a wine patch that should fix this bug when the patch is released.

The problem is that you will have to update your League Of Legends installation. I will give several solutions for that:
[ul]
[li]The script will be updated for people who want to reinstall it cleanly[/li]
[li]A script will be made to update your current League Of Legends installation[/li]
[li]You will be able to change manually your League Of Legends wine version through PlayOnLinux configure menu. The new version should be 1.5.12-LeagueOfLegends[/li]
[/ul]

A big thank to iLoL team, and especially Boompje, who contacted me by mail to tell me about the problem and to send me the fix, and also ramma42, who wrote the wine patch. It is thanks to these people that you will likely be able to play League Of Legends on Linux with PlayOnLinux

Stay tuned for the scripts :)

[url]http://www.boompje.net/[/url]

Quentin PÂRIS

Comments

Author Replies
iLikeSpoons Tuesday 4 December 2012 at 21:11

So, what's the status of these scripts? I really don't want to patch and recompile wine this week :)
Quentin PÂRIS Tuesday 4 December 2012 at 22:41

Admin

It is being built
iLikeSpoons Tuesday 4 December 2012 at 23:19

The happy! I am going to open a beer to celebrate :D

<3 to all you awesome people doing this for us lazy fucks :)
RyuKim Wednesday 5 December 2012 at 0:34

Anonymous

It will be a Tutorial? maybe some people doesnt now how to do that..:cry:
Tiggum Wednesday 5 December 2012 at 1:00

Its up yay :D
iLikeSpoons Wednesday 5 December 2012 at 1:07

Some bugs present but it works! The champ store completely kills the client now, as does ending a game, but the actual in-game stuff works perfectly even if the new item textures are just red squares!

Can has happy still!
totaln00b Wednesday 5 December 2012 at 2:06

i know this is the dumbest question ever, but where is the patch 'up' at?
El Rob Wednesday 5 December 2012 at 5:55

I wouldn't exacty call the patch usable. You can get 1 game in. Severe pixel issues. Looks like there is a laser light show goig on all game, and that causes a huge drop in performance. And after all of that, the client still crashes after every match.

So yeah, it's playable if your definition of playable is very loose. I played 2 games, got sick of it, and have not started it up again. I certainly hope a better patch hits soon.
Jules Wednesday 5 December 2012 at 8:04

1.5.18 fixed the shop crashing so the game is "playable" but that depends on your personal definition.

A few things to note:

-some item icons are replaced with red boxes

-extreme graphic artifacts and I mean extreme (laser ligth show)

If you are prone to epilepsia, stay away!
MrNerzan Wednesday 5 December 2012 at 8:54

Anonymous

What do you guys mean with the "Laser Light"?
I just played it and didn't have any problem inGame ( except for the lower FPS, It dropped from 50 to 38fps).
OutGame as you said, the shop is useless, it just crashes the whole client. (it worked perfectly for me before the update).
PTStomp Wednesday 5 December 2012 at 12:21

I get the laser show as well. Just played a game then that was getting down to 9fps due to whatever graphical glitch was going on
barnesdrb Wednesday 5 December 2012 at 13:49

Anonymous

I saw the patch on the LoL forums, but I have no idea how to install it. Before the patch, everything but the launcher store was working, but could be used in the champion select option on your profile.

I got a stable 60 fps, ran just as well as it does on my windows machine. Then the patch hit. Game still ran at a stable 60 fps, but in game store doesn't work AT ALL. Can't play league if you don't buy items..

If someone could, I would appreciate an in-depth guide on how to install said patch:
http://uz.sns.it/~ranma42/iLoL/0001-HACK-Disallow-block-based-textures-with-sub-block-si.patch

Lets get it back up and running so I don't have to log back over to windows.. :P
barnesdrb Wednesday 5 December 2012 at 15:26

Anonymous

I got it to work by uninstalling LoL on PoL. Re-installed it and it came with the new version of wine. Like everyone said, the 1.5.18(?) version of wine (newest) makes it playable with the store working and all, but your graphics will be tearing (Laser Light show) just hope they can get it to work like they had it working for me.

P.s. Sorry for the double post. Just thought I would update those who were curious.
hey00 Wednesday 5 December 2012 at 16:32

Laser show too. Actually, it happens with wine 1.5.13 to 1.5.18, so I'm going to use 1.5.12. Thing is, I don't really know exactly which of the patches listed here: http://www.boompje.net/xLoL/ are needed or not.

I think only the last one is (the game doesn't crash with stock 1.5.12 at loading like it did when spectator came out), and I gave up on the store (patches never worked for that).
Any more info about that? Specifically, which patches did you use for that 1.5.18-LoL build in PoL?
Xatulu Wednesday 5 December 2012 at 17:08

http://www.reddit.com/r/leagueoflegends/comments/14bl9d/probably_not_interesting_for_most_of_you_here_but/
Quentin PÂRIS Wednesday 5 December 2012 at 18:47

Admin

Try wine 1.3.12-LeagueOfLegends when it is out
xpander69 Wednesday 5 December 2012 at 19:12

no laser light show for me. works nicely, no crashes also.
but now to the issues.
opening shop/store (not the ingame one) now instantly crashes the client.
and the shop ingame has some icons without icons, its not a really big deal but its quite annoying.

didnt notice any framerate drop what so ever. still mostly at 60 cap, with rare drops to 50
Guest Wednesday 5 December 2012 at 21:16

I can log on and enter a game with wine 1.5.18-LeagueOfLegends on Ubuntu. However, the game freezes immediately once in the game.
edi_smooth Wednesday 5 December 2012 at 21:33

If you have laser lights you have to use 1.5.18-LeagueOfLegends and select windows xp in winecfg. Now it's ok:)
Quentin PÂRIS Wednesday 5 December 2012 at 21:36

Admin

Is it better with 1.5.12-LeagueOfLegends
FawkesFive Wednesday 5 December 2012 at 21:52

Anonymous

Yep. Seleting Windows xp in wincfg solved laser light issue.

Still crashing after the end of each game but framerate is back up with 1.5.18-LOL. Now trying 1.5.12-LOL
sadfsf@sgdsg.com Wednesday 5 December 2012 at 21:53

OS: Ubuntu
GPU: ATI HD 6950
RAM: 12 GB
CPU: i7 930

Have tried both wine 1.5.18-LeagueOfLegends and 1.5.12-LeagueOfLegends. I have tried the method posted on Reddit. None of them work properly.

The game freezes at the start.
FawkesFive Wednesday 5 December 2012 at 22:44

Anonymous

I've heard there are issues with ATI cards....

With 1.5.12-LOL, game is running smooth. No more crashing at end of match!!

Red squres still in store but thats alright

THanks everyone!
Atrocis Wednesday 5 December 2012 at 23:19

hey sadfsf@sgdsg.com,

this might be a problem with your ATI card, i got lots of error reports from users with the same problem, and all of them are running ati cards. NVidia Users were able to just use me package an play... Sorry about that.
xpander69 Wednesday 5 December 2012 at 23:32

ok played 4 matches in row without any problems or crashes.
just the item shop no icon bug is really really annoying. hope this gets sorted out soon.
i wonder whats causing it, cuz some icons show up fine.
Atrocis Wednesday 5 December 2012 at 23:44

@xpander69: those icons have mipmaps smaller than one black, which can't be loaded due to the patch by ranma42 included in the newer wine binaries. if they would be loaded (1.5.5-LeagueofLegends), they shop would crash.
Ant man Wednesday 5 December 2012 at 23:59

Here is a list of issues.
     Red boxes
     Crashing after each game
I hope this is fixed in some later patch. but otherwise it is playable and the solution for the lightshow worked! thank you devs of this wonderouse program.:D
FawkesFive Thursday 6 December 2012 at 0:07

Anonymous

Crashing after each game is solved by using 1.5.12-LOL
barnesdrb Thursday 6 December 2012 at 0:32

Anonymous

So this is how mine is acting now that I got the fix:

60 fps
No screen tearing/laserlightshow
REd boxes on some of the icons.
Smooth as windows.

It's back, except the red boxes. BUt those will get fixed soon!
Someone Thursday 6 December 2012 at 0:55

Hm.
Well nothing's really working for me. I get a stable 20 FPS, but I still can't buy any items from the store. Everytime I click on the store or try to open it, it still crashes with any wine version. Hopefully the script will be up soon..
xpander69 Thursday 6 December 2012 at 2:33

i dont have crashes after each game with 1.5.18-LeagueOfLegends
actually i dont have crashes at all, except when i open up the store.

ok...hope the red icons get fixed.
im using virtualbox with windows for the shop anyway to be able to buy RIOT points which was the only thing that dindt work before :)
Boompje Thursday 6 December 2012 at 3:40

For those with an ATI card, try to set glsl=disabled !
Jules Thursday 6 December 2012 at 4:42

Changed wine config to windows xp instead of windows 7. The graphic tearing went away.

Using wine version 1.5.18-LeagueOfLegends. Shop works, but the red boxes are still there.

No crashes at end of game. Using nvidia 8800gt if it matters.
anonymouse Thursday 6 December 2012 at 9:50

no graphics tears on 1.5.18 for me, windows xp setting.

Framerate is actually slightly better (~5) but could be due to previous setting as windows 7.

In game shop is fine, just few red boxes (no big deal)


game has slight glitch after games (need to alt tab to another [minimized - specifically] window and back) to unfreeze it. What it looks like: the league of legends cursor is active while using the desktop but can't click on anything.


Most significant issue is the lobby Item shop, does not show up and crashes whenever I try to enter. Can't buy champs or runes.



anonymouse Thursday 6 December 2012 at 9:53

^^^^^^^^^^^^^^
addition to above

nvidia 8800gt
Ubuntu 12.04 LTS 64bit
oPtion Thursday 6 December 2012 at 20:06

Anonymous

Any fix for ATI cards?
urma Friday 7 December 2012 at 18:32

Anonymous

multumesc pentru support, gogogo
Diamond Friday 7 December 2012 at 22:32

Anonymous

I can't play LOL even with the new version of wine 1.5.18. Please help! Screen freezes at the very beginning. Windows version is XP. Help please!
MrNerzan Friday 7 December 2012 at 22:43

Anonymous

It appears to work better with Windows 8, The shop still crashes the game after a few seconds but it's no longer a black screen.
Guest Saturday 8 December 2012 at 9:04

I installed PlayOnLinux recently and have installed 3 games with it but none of them work, including LoL.

Thanks for your efforts to make games available on Linux but I'll be saying farewell till a few years into the future.

HDD space is just too cheap and dual booting too easy.

Cheers
smied Saturday 8 December 2012 at 11:29

With 1.5.12 the game crashes as soon as the match starts loading.
With 1.5.18 and win xp set the game works but with low fps.
And what about the new Mono installation popup? Should I install it?
Arch 64bit + nvidia
hey00 Saturday 8 December 2012 at 15:07

So, with Nvidia and 1.5.18-LoL:

The laser show disappear if the compatibility is set to xp, indeed.
Other than that, the game crashes at the end of a game (it used to do that long ago).
The client crashes when entering the store (not the in game one). There are 3 store patches on winehq that make the store work for some, and at least not crash for the others.
Diamond Saturday 8 December 2012 at 17:59

Anonymous

I fixed the problem for my computer. I used the instructions from http://pastebin.com/qJPVWvgN (the second part) to patch wine and I also installed the beta version of AMD Catalyst Driver for linux. There are still some red boxes in the shop but that doesn't bother me. I'm very happy :) :sunglasses::-°
I use Ubuntu 12.04.1 LTS, POL 4.1.8, wine-lol /made according to the instructions I mentioned above. I haven't tryed if it works with other versions of wine/; my video card is XFX ATI HD6870 900M 1GB DDR5.
maxazcona Saturday 8 December 2012 at 17:59

Hello!

Any fixes on the ATI cards?? I tried 1.5.18-LoL and 1.5.12-LoL wine conf to Win XP and gsgl=disabled on the display tab. Everything works great outside the game (shop, etc), even loading screen but once in game it freezes completely after 1-3 sec. Please let us know if you guys find a fix for this, I see a lot of people with the same problem, all with ATI cards. Thanks a lot!! :sunglasses:
maxazcona Saturday 8 December 2012 at 18:20

found this soluion for Mac user, any of you know if it can be implemented on playonlinux??? http://www.boompje.net/forum/topic/952/fix-ati-amd-graphic-card-problem

Thanks!
maxazcona Saturday 8 December 2012 at 18:27

Diamond,

So you are playing with ATI card :O
I have an ATI Mobility Radeon HD 5800 Series graphics card Using ATI/AMD proprietary FGLRX graphics driver (thats what is says on the "additional drivers" window) and Instaled the AMD Catalyst Control Center did you changeany settings?
I guess ill try it your way and compile the wine-lol myself, maybe it wil work, I downloaded the tar on the first part of the instructions you posted (the one in dropbox) but didnt work. Its nice to see someone with an ATI card got it to work!
THanks!
maxazcona Sunday 9 December 2012 at 0:43

Anonymous

I got it to work with an ATI card!!!:sunglasses:
Just had to install the latest 12.10 AMD Catalyst drivers from:
http://support.amd.com/us/gpudownload/Pages/index.aspx
Here are instructions to remove the old drivers:
http://wiki.cchtml.com/index.php/Ubuntu_Precise_Installation_Guide#Removing_Catalyst.2Ffglrx And instructions on How to pkgs and install the new ones:
http://wiki.cchtml.com/index.php/Ubuntu_Precise_Installation_Guide#Installing_Catalyst_Manually_.28from_AMD.2FATI.27s_site.29

I am using the version of wine 1.5.18-LoL-updated2 found here: http://pastebin.com/qJPVWvgN
In PoL under display tab DISABLE GLSL, then click configure wine and set to Windows XP

I can play game perfectly (champ and rune shop works fine), the only thing is some red squares on the in-game shop. currently around 30fps, had some peeks of 40 so far, (just tested quick custome games). Let me know if any of you have some trouble with this, I might be able to help out! Enjoy!
Ant man Saturday 15 December 2012 at 15:08

I am on 12.04 ubuntu and a nvidia 550ti gfx card and my champ and rune store does not work. I know that installing ie6 should fix it but that crashes and says: a more recent version of ie6 is already installed setup cant continue. any one know how to fix this/:cry:
dang Sunday 16 December 2012 at 7:48

its not letting me log in. and ik its correct info. anyone else have this happen to them?
Cold Thursday 20 December 2012 at 22:55

I have been trying to run LoL on my laptop running Ubuntu 12.04 LTS and have an ATI Mobility Radeon HD 4200, but without luck. The client runs well, almost never get the error when the updater gets stucked at "Calculating differences..." but when I start a match or spectate one, after 3 - 5 secs the game freezes. I am gonna give it a try to maxazcona suggestion. Also dang, I know its 4 days later, but if you haven't found a solution to your problem yet, check your region, perhaphs is not the one in which you created your account.
Cold Thursday 20 December 2012 at 23:33

Well no luck either. I was excited since I thought that this wine patch did the trick but it only made it last longer before the freeze, once I changed the specs to all low, then it run for a little longer and then froze. Then when I tried to run it again it never got past the loading of the players.
Kapucniskukac Saturday 22 December 2012 at 22:26

I have the same problem like Cold has. I can enter the game, but it freezes after a few seconds no matter what wine version i use. I also have an ATI card (ATI HD 6670). The debugger shows an error message:

"err:winediag:shader_generate_glsl_declarations The hardware does not support enough uniform components to run this shader, it may not render correctly."

I had looked after this, but haven't found a solution yet. I think the vga driver is installed correctly, since I can play HoN. And the "fglrxinfo" recognize it correctly.
FuGtoDo Saturday 26 January 2013 at 2:59

I'm having the Problem that the game freezes after i joined a match. It takes about 1 second.

System:
Ubuntu 12.04.1
AMD HD Radeon 6950
i5 8Gb Ram (Sandybridge)
1920*1200 LG Monitor

Installed League with playonLinux and tested it with version 1.5.5 and 1.5.18 of Wine.

No Errors are given. The game just crashes and i have to use the old alt+ctrl+F1 tactic -.- to shut it down and make the Pc usable again.

hope for some nice help :)

thx
FugtoDo Saturday 26 January 2013 at 3:02

*edit

System:
64 bit
i5-2500 3.3GHz x4
Asus motherboard ... forgot Name :(
Dinos Monday 4 February 2013 at 23:29

Same issue as FugtoDo :cry: i have tried a lot of stuff... guide's,how to's, version's
when it works it always crashes in-game after 1-2 secs.

I am using an Ati Radeon HD 3870x2 and the lastes Fglrx drivers from Amd.

Btw FugtoDo what is your GPU ? maybe it's related tro drivers or smth.. i don't know.
FuGtoDo Saturday 9 February 2013 at 20:14

My GPU is an
AMD Radeon HD 6950 (2GB) Latest driver (post release*)
Name of driver:
ATI/AMD proprietary FGLRX graphics driver (post-release updates)

and i tried every available driver for my card that is shown to me in the "additional drivers" window :/

when i try out the
ATI/AMD proprietary FGLRX graphics driver (**experimental**beta)
drivers i get the notification in the right corner of the screen that my hardware is not supported by these drivers...

I guess it has something to do with AT/AMD graphic cards but i don't know why. The nvidea drivers of Ubuntu and Linux have been more updated overall if I remember that right ... still i can't imagine of the reason ... :(

Good Luck maybe we are able to solve the problem in the near future ;)
FuGtoDo Tuesday 12 February 2013 at 13:58

Ok my problem has changed ....
Im now able to play the game but whenever i try to open the store inGame the program crashes and there's this "Bug splat" error message.

Game works fine, only the map is full of flickering boxes

I'm currently using Wine 1.5.5_League of Legends
Damn Saturday 16 February 2013 at 6:06

Bump
Maxi Wednesday 15 May 2013 at 18:25

Hi guys im having the same problem, when the game start ir freezes after 1 or 2 seconds. I´ve an ati radeon hd 6670 and i´ve tryed every driver but the result is always the same.
Do you have any tip for me?
Ello Sunday 23 June 2013 at 9:25

Hi guys, still same issue, outside the game like a charm, loading screen runs smooth and fast, then 1-3 seconds after game start is freezes completly

ATI Radeon 3850HD , Ubuntu 12.04

Tried different variations, of the drivers and different variants of configuration. Also tried the gsls disable trick. then i tried to enable and disable or switch everything one by one to test if one of them would work.but not successful yet.

It has to do with the ati card, becase a friend of mine installed it at the same time as me and it worked out of the box. as i told him my issues, he tried it with two more computers and all of them worked out of the box. he always uses nvidia cards, and i always uses ati cards. ;)

Post a comment

Pseudo :

Mail :

: